execlineb(1)

NAME
execlineb - command launcher for execline scripts

SYNOPSIS
execlineb [ -p | -P | -S nmin | -s nmin ] [ -q | -w | -W ] [ -c commandline ] script args

OPTIONS

-c commandline
    execute commandline, do not look for a file.

  Options for environment management

-p  will bypass the push phase: the current frame of positional parameters will be overwritten. The script will not be reentrant

-P  will bypass positional parameter handling completely: the environment will not be pushed, and positional parameters will be ignored. execlineb -P -c 'script' is equivalent to, but more efficient than, execlineb -c 'emptyenv -P script'. You should use the -P option only in standalone scripts that take no arguments, such as s6's or runit's run scripts.

-S nmin
    will substitute the positional parameters - up to at least nmin - but will not push nor set environment variables. execlineb -S3 -c 'script' is equivalent to, but more efficient than, execlineb -c 'elgetpositionals -P3 emptyenv -P script'.

-s nmin
    behaves just like the -S option, except that it defines $@ as the rest of the command line after nmin arguments have been removed.

  Options for block syntax checking

External execline commands that read blocks, like foreground, use the EXECLINE_STRICT environment variable.

Normally the EXECLINE_STRICT environment variable is inherited from the caller. You can force it unset, set to 1, or set to 2 by giving respectively the -q, -w or -W option to execlineb.

-q  same as EXECLINE_STRICT is unset.

    They won't complain at all.

-w  same as EXECLINE_STRICT is set to 1.

    They will print a warning message on stderr if they find their blocks not to be properly quoted.

-W  same as EXECLINE_STRICT is set to 2.

    They will also die.

SEE ALSO

/usr/share/doc/execline/execlineb.html (in execline-doc package)

NOTES

On Debian GNU/Linux system, all binaries from execline package are installed in /usr/lib/execline/bin/.

For convenience, a script is provided as /usr/bin/execlineb, which adds /usr/lib/execline/bin/ to PATH when invoked.